﻿<AML>
 <Item type="Method" id="F1BBC0314D5E4F4284D5559EB4ECF700" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_reconciled_check_remove
Created By		:		SolidCAD 
Creation Date:			2018-03-16
Description:
	While reconciling,
	-Calculate Difference Amount between Bank Statements and  all transaction of using bank account in journal.
	
Hooks:
	Type:	ItemType	:	Acc_Bankreconciliation_Detail
	Event:	acc_reconciled ( OnEditFinish )

Revisions:
	Rev Date		Modified By			Description
	2018-02-12		Chan			Bank Reconcilation: acc_reconciled property checking event
***************************************************************************** */
//debugger;
var thisItem = parent.thisItem;

var acc_account_balance = parent.thisItem.getProperty("acc_account_balance");
var acc_x_account_balance = parent.thisItem.getProperty("acc_x_account_balance");
var acc_statement_balance = parent.thisItem.getProperty("acc_statement_balance");
var acc_difference;

var relitm = thisItem.getItemsByXPath("//Item[@id = '" + relationshipID + "']").getItemByIndex(0);
var acc_reconciled = relitm.getProperty("acc_reconciled");
var acc_deposits = relitm.getProperty("acc_deposits");
var acc_withdrawls = relitm.getProperty("acc_withdrawls");
var acc_deposits = parseFloat(acc_deposits);
var acc_withdrawls = parseFloat(acc_withdrawls);

if (acc_reconciled !== "1") {

    if (acc_deposits === 0) {
        if (acc_x_account_balance < 0) {
            acc_account_balance = acc_x_account_balance;
            parent.thisItem.setProperty("acc_x_account_balance", 0);

        }
        var acc_verified_account_amount = parseFloat(acc_account_balance) + parseFloat(acc_withdrawls);
        if (acc_verified_account_amount < 0) {
            acc_x_account_balance = acc_verified_account_amount;
            parent.thisItem.setProperty("acc_x_account_balance", acc_x_account_balance);
        }

    } else {
        if (acc_x_account_balance < 0 || acc_account_balance === 0) {
            acc_account_balance = acc_x_account_balance;
            parent.thisItem.setProperty("acc_x_account_balance", 0);
        }
        var acc_verified_account_amount = parseFloat(acc_account_balance) - parseFloat(acc_deposits);
        if (acc_verified_account_amount < 0) {
            acc_x_account_balance = acc_verified_account_amount;
            parent.thisItem.setProperty("acc_x_account_balance", acc_x_account_balance);
        }

    }
    acc_verified_account_amount = Math.abs(acc_verified_account_amount);
    parent.thisItem.setProperty("acc_account_balance", acc_verified_account_amount);
    var acc_accountverified_balance = parent.thisItem.getProperty("acc_account_balance");
    if (acc_verified_account_amount > acc_statement_balance) {
        acc_difference = parseFloat(acc_accountverified_balance) - parseFloat(acc_statement_balance);
    } else {
        acc_difference = parseFloat(acc_statement_balance) - parseFloat(acc_accountverified_balance);
    }
    parent.thisItem.setProperty("acc_difference", acc_difference);

}

var objwin = top.aras.uiFindWindowEx(thisItem.getID());
if (objwin) {
    objwin.updateRootItem(parent.item);
}

function myHandleItemChange(property, value) {
    if (top.instance.document) {

        top.instance.handleItemChange(property, value);
    } else {

        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_reconciled_check_remove</name>
 </Item>
</AML>